Apply
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/collection-applications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requestKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"collectionId": "<string>",
"collectionGeneration": 123,
"collectionVersion": 123,
"selections": [
{
"entryId": "<string>",
"referenceItemId": "<string>",
"quantity": "<string>"
}
]
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/collection-applications"
payload = {
"requestKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"collectionId": "<string>",
"collectionGeneration": 123,
"collectionVersion": 123,
"selections": [
{
"entryId": "<string>",
"referenceItemId": "<string>",
"quantity": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestKey: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
collectionId: '<string>',
collectionGeneration: 123,
collectionVersion: 123,
selections: [{entryId: '<string>', referenceItemId: '<string>', quantity: '<string>'}]
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/collection-applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"application": {
"created": [
{
"applicationLineId": "<string>",
"slotId": "<string>",
"primaryProjectItemId": "<string>",
"slotPosition": 123,
"entryId": "<string>",
"referenceItemId": "<string>"
}
],
"applicationId": "<string>",
"requestKey": "<string>",
"collectionId": "<string>",
"collectionGeneration": 123,
"collectionVersion": 123,
"createdAt": "<string>",
"addedCount": 123,
"slotIds": [
"<string>"
]
}
}Collection Applications
Apply
POST
/
v1
/
workspaces
/
{workspaceId}
/
projects
/
{projectId}
/
collection-applications
Apply
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^[1-9]\d*$Pattern:
^[1-9]\d*$Body
application/json
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^[1-9]\d*$Required range:
x <= 9007199254740991Required range:
x <= 9007199254740991Required array length:
1 - 100 elementsShow child attributes
Show child attributes
Show child attributes
Show child attributes
Response
201 - application/json
Show child attributes
Show child attributes
⌘I